module Djot

import System
import System.File

import SSG.Djot
import SSG.HTML

import Text.PrettyPrint.Bernardy

main : IO ()
main = do
  args <- getArgs
  case args of
    [_, file] => do
      Right contents <- readFile file
        | Left err => printLn err
      let parsed = djot contents
      putStr . render $ renderHtml parsed
    [_, "raw", file] => do
      Right contents <- readFile file
        | Left err => printLn err
      let parsed = djot contents
      putStrLn . Doc.render (Opts 80) $ pretty parsed
    _ => do
      putStrLn "?"
      exitFailure
